Skip to main content
`Ctrl`+`K`

# SNESMonitorScaling

Monitors the largest value in each row of the Jacobian of a `SNESSolve()`

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorScaling(SNES snes, PetscInt its, PetscReal fgnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- snes - the `SNES` context

- its - iteration number

- fgnorm - 2-norm of residual

- vf - viewer and format structure

## Notes

This routine prints the largest value in each row of the Jacobian

This is not called directly by users, rather one calls `SNESMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SNES` solve.

## See Also

SNES: Nonlinear Solvers, `SNESMonitorSet()`, `SNESMonitorSolution()`, `SNESMonitorRange()`, `SNESMonitorJacUpdateSpectrum()`, `PetscViewerFormat`, `PetscViewerAndFormat`

## Level

intermediate

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages